OpenShift NFS Server
====================

OpenShift Persistent Volumes

Requirements
------------

Role Variables
--------------

From this role:

| Name                     | Default value |                                                                                     |
|--------------------------|---------------|-------------------------------------------------------------------------------------|
| persistent_volumes       | []            | List of persistent volume dictionaries, keys: name, capacity, access_modes, storage |
| persistent_volume_claims | []            | List of persistent volume claim dictionaries, keys: name, capacity, access_modes    |


From openshift_common:

| Name                          | Default Value  |                                        |
|-------------------------------|----------------|----------------------------------------|
| openshift_debug_level         | 2              | Global openshift debug log verbosity   |


Dependencies
------------


Example Playbook
----------------

```
- name: Create persistent volumes/claims
  hosts: oo_first_master
  vars:
    persistent_volumes:
    - name: "registry-volume"
      capacity: "5Gi"
      access_modes:
      - "ReadWriteMany"
      storage:
        nfs:
          server: "nfs.example.com"
          path: "/var/exports/registry"
    persistent_volume_claims:
    - name: "registry-claim"
      capacity: "5Gi"
      access_modes:
      - "ReadWriteMany"
  roles:
  - role: openshift_persistent_volumes
```


License
-------

Apache License, Version 2.0

Author Information
------------------

Andrew Butcher (abutcher@redhat.com)
